Mail archive
alpine-aports

[alpine-aports] [PATCH 1/1] community/duo_unix: move from testing

From: Paul Morgan <jumanjiman_at_gmail.com>
Date: Tue, 12 Jan 2016 04:50:28 +0000

---
 community/duo_unix/APKBUILD | 49 +++++++++++++++++++++++++++++++++++++++++++++
 testing/duo_unix/APKBUILD   | 49 ---------------------------------------------
 2 files changed, 49 insertions(+), 49 deletions(-)
 create mode 100644 community/duo_unix/APKBUILD
 delete mode 100644 testing/duo_unix/APKBUILD
diff --git a/community/duo_unix/APKBUILD b/community/duo_unix/APKBUILD
new file mode 100644
index 0000000..db9b016
--- /dev/null
+++ b/community/duo_unix/APKBUILD
_at_@ -0,0 +1,49 @@
+# Contributor: Alan Lacerda <alacerda_at_alpinelinux.org>
+# Maintainer: Paul Morgan <jumanjiman_at_gmail.com>
+pkgname=duo_unix
+pkgver=1.9.17
+pkgrel=1
+pkgdesc="duosecurity.com two-factor authentication"
+url="https://duo.com/support/documentation/duounix"
+arch="all"
+license="GPL2"
+depends="openssl zlib"
+depends_dev="libc-dev openssl-dev zlib-dev"
+makedepends="$depends_dev"
+install=""
+options="suid"
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://dl.duosecurity.com/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc/duo \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="7c7ecf9bb76d40da2ce20807e81850b6  duo_unix-1.9.17.tar.gz"
+sha256sums="d841fb7cf48013d25c2abe882aa1888f230b8414b71ef5898ca988d000b5953a  duo_unix-1.9.17.tar.gz"
+sha512sums="b62ce265fc6f5f951bcd42026adeff312fb127e46ad87a830f75fe42cfc5060541f3ff4b3ff7d32a8b56b39ef6c58a893d3fd6df8b9eca78d9e89c242f532626  duo_unix-1.9.17.tar.gz"
diff --git a/testing/duo_unix/APKBUILD b/testing/duo_unix/APKBUILD
deleted file mode 100644
index db9b016..0000000
--- a/testing/duo_unix/APKBUILD
+++ /dev/null
_at_@ -1,49 +0,0 @@
-# Contributor: Alan Lacerda <alacerda_at_alpinelinux.org>
-# Maintainer: Paul Morgan <jumanjiman_at_gmail.com>
-pkgname=duo_unix
-pkgver=1.9.17
-pkgrel=1
-pkgdesc="duosecurity.com two-factor authentication"
-url="https://duo.com/support/documentation/duounix"
-arch="all"
-license="GPL2"
-depends="openssl zlib"
-depends_dev="libc-dev openssl-dev zlib-dev"
-makedepends="$depends_dev"
-install=""
-options="suid"
-subpackages="$pkgname-dev $pkgname-doc"
-source="https://dl.duosecurity.com/$pkgname-$pkgver.tar.gz"
-
-_builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	./configure \
-		--build=$CBUILD \
-		--host=$CHOST \
-		--prefix=/usr \
-		--sysconfdir=/etc/duo \
-		--mandir=/usr/share/man \
-		--localstatedir=/var \
-		|| return 1
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="7c7ecf9bb76d40da2ce20807e81850b6  duo_unix-1.9.17.tar.gz"
-sha256sums="d841fb7cf48013d25c2abe882aa1888f230b8414b71ef5898ca988d000b5953a  duo_unix-1.9.17.tar.gz"
-sha512sums="b62ce265fc6f5f951bcd42026adeff312fb127e46ad87a830f75fe42cfc5060541f3ff4b3ff7d32a8b56b39ef6c58a893d3fd6df8b9eca78d9e89c242f532626  duo_unix-1.9.17.tar.gz"
-- 
2.7.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Jan 12 2016 - 04:50:28 GMT